#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QTreeWidgetItem>
#include <QDir>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

    void readText (QString path);
    void readData (QString path);

private slots:
    void on_pushButton_clicked();
    void on_action_Quit_triggered();
    void on_treeWidget_itemClicked(QTreeWidgetItem *item, int column);

    void on_action_Run_triggered();

private:
    Ui::MainWindow *ui;
    void showDir (QTreeWidgetItem * target, QDir dir, int level);

};

#endif // MAINWINDOW_H
